<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace App\Helpers;

class PasswordEncryptHelper {
    public static function encrypt_decrypt($action, $string) {
       $output = false;
       $encrypt_method = "AES-256-CBC";
       $secret_key = 'amixmedia@@';
     //  $secret_iv = md5(md5($key));
       // hash
       $key = hash('sha256', $secret_key);

       // iv - encrypt method AES-256-CBC expects 16 bytes - else you will get a warning
       $iv = substr(hash('sha256', md5(md5($key))), 0, 16);
       if ( $action == 'encrypt' ) {
           $output = openssl_encrypt($string, $encrypt_method, $key, 0, $iv);
           $output = base64_encode($output);
       } else if( $action == 'decrypt' ) {
           $output = openssl_decrypt(base64_decode($string), $encrypt_method, $key, 0, $iv);

               }
       return $output;
   }
}